package com.njcn.pojo.user;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hongawen
 * @Date: 2018/7/9 09:23
 */
public class DeptsAndRoleGP implements Serializable {

    private List<Depts> deptsList=new ArrayList<>();
    private List<Role> roleGroups=new ArrayList<>();
    private String referralCode;

    public List<Depts> getDeptsList() {
        return deptsList;
    }

    public void setDeptsList(List<Depts> deptsList) {
        this.deptsList = deptsList;
    }

    public List<Role> getRoleGroups() {
        return roleGroups;
    }

    public void setRoleGroups(List<Role> roleGroups) {
        this.roleGroups = roleGroups;
    }

    public String getReferralCode() {
        return referralCode;
    }

    public void setReferralCode(String referralCode) {
        this.referralCode = referralCode;
    }

    @Override
    public String toString() {
        return "DeptsAndRoleGP{" +
                "deptsList=" + deptsList +
                ", roleGroups=" + roleGroups +
                ", referralCode=" + referralCode +
                '}';
    }
}
